<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:42 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Applicant (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Applicant (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Applicant.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../io/mosip/registration/dto/json/metadata/Audit.html" title="class in io.mosip.registration.dto.json.metadata"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/dto/json/metadata/Applicant.html" target="_top">Frames</a></li>
<li><a href="Applicant.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.dto.json.metadata</div>
<h2 title="Class Applicant" class="title">Class Applicant</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.dto.json.metadata.Applicant</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Applicant</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">This class contains the attributes to be displayed for Applicant object in
 PacketMetaInfo JSON</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Balaji Sridharan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#Applicant--">Applicant</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#getLeftEye--">getLeftEye</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#getLeftIndex--">getLeftIndex</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#getLeftLittle--">getLeftLittle</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#getLeftMiddle--">getLeftMiddle</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#getLeftRing--">getLeftRing</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#getLeftThumb--">getLeftThumb</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#getRightEye--">getRightEye</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#getRightIndex--">getRightIndex</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#getRightLittle--">getRightLittle</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#getRightMiddle--">getRightMiddle</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#getRightRing--">getRightRing</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#getRightThumb--">getRightThumb</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#setLeftEye-io.mosip.registration.dto.json.metadata.BiometricDetails-">setLeftEye</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;leftEye)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#setLeftIndex-io.mosip.registration.dto.json.metadata.BiometricDetails-">setLeftIndex</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;leftIndex)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#setLeftLittle-io.mosip.registration.dto.json.metadata.BiometricDetails-">setLeftLittle</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;leftLittle)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#setLeftMiddle-io.mosip.registration.dto.json.metadata.BiometricDetails-">setLeftMiddle</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;leftMiddle)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#setLeftRing-io.mosip.registration.dto.json.metadata.BiometricDetails-">setLeftRing</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;leftRing)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#setLeftThumb-io.mosip.registration.dto.json.metadata.BiometricDetails-">setLeftThumb</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;leftThumb)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#setRightEye-io.mosip.registration.dto.json.metadata.BiometricDetails-">setRightEye</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;rightEye)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#setRightIndex-io.mosip.registration.dto.json.metadata.BiometricDetails-">setRightIndex</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;rightIndex)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#setRightLittle-io.mosip.registration.dto.json.metadata.BiometricDetails-">setRightLittle</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;rightLittle)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#setRightMiddle-io.mosip.registration.dto.json.metadata.BiometricDetails-">setRightMiddle</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;rightMiddle)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#setRightRing-io.mosip.registration.dto.json.metadata.BiometricDetails-">setRightRing</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;rightRing)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html#setRightThumb-io.mosip.registration.dto.json.metadata.BiometricDetails-">setRightThumb</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;rightThumb)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Applicant--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Applicant</h4>
<pre>public&nbsp;Applicant()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getLeftEye--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLeftEye</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;getLeftEye()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the leftEye</dd>
</dl>
</li>
</ul>
<a name="setLeftEye-io.mosip.registration.dto.json.metadata.BiometricDetails-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLeftEye</h4>
<pre>public&nbsp;void&nbsp;setLeftEye(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;leftEye)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leftEye</code> - the leftEye to set</dd>
</dl>
</li>
</ul>
<a name="getRightEye--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRightEye</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;getRightEye()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the rightEye</dd>
</dl>
</li>
</ul>
<a name="setRightEye-io.mosip.registration.dto.json.metadata.BiometricDetails-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRightEye</h4>
<pre>public&nbsp;void&nbsp;setRightEye(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;rightEye)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rightEye</code> - the rightEye to set</dd>
</dl>
</li>
</ul>
<a name="getLeftThumb--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLeftThumb</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;getLeftThumb()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the leftThumb</dd>
</dl>
</li>
</ul>
<a name="setLeftThumb-io.mosip.registration.dto.json.metadata.BiometricDetails-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLeftThumb</h4>
<pre>public&nbsp;void&nbsp;setLeftThumb(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;leftThumb)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leftThumb</code> - the leftThumb to set</dd>
</dl>
</li>
</ul>
<a name="getRightThumb--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRightThumb</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;getRightThumb()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the rightThumb</dd>
</dl>
</li>
</ul>
<a name="setRightThumb-io.mosip.registration.dto.json.metadata.BiometricDetails-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRightThumb</h4>
<pre>public&nbsp;void&nbsp;setRightThumb(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;rightThumb)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rightThumb</code> - the rightThumb to set</dd>
</dl>
</li>
</ul>
<a name="getLeftIndex--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLeftIndex</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;getLeftIndex()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the leftIndex</dd>
</dl>
</li>
</ul>
<a name="setLeftIndex-io.mosip.registration.dto.json.metadata.BiometricDetails-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLeftIndex</h4>
<pre>public&nbsp;void&nbsp;setLeftIndex(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;leftIndex)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leftIndex</code> - the leftIndex to set</dd>
</dl>
</li>
</ul>
<a name="getLeftMiddle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLeftMiddle</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;getLeftMiddle()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the leftMiddle</dd>
</dl>
</li>
</ul>
<a name="setLeftMiddle-io.mosip.registration.dto.json.metadata.BiometricDetails-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLeftMiddle</h4>
<pre>public&nbsp;void&nbsp;setLeftMiddle(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;leftMiddle)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leftMiddle</code> - the leftMiddle to set</dd>
</dl>
</li>
</ul>
<a name="getLeftRing--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLeftRing</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;getLeftRing()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the leftRing</dd>
</dl>
</li>
</ul>
<a name="setLeftRing-io.mosip.registration.dto.json.metadata.BiometricDetails-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLeftRing</h4>
<pre>public&nbsp;void&nbsp;setLeftRing(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;leftRing)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leftRing</code> - the leftRing to set</dd>
</dl>
</li>
</ul>
<a name="getLeftLittle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLeftLittle</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;getLeftLittle()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the leftLittle</dd>
</dl>
</li>
</ul>
<a name="setLeftLittle-io.mosip.registration.dto.json.metadata.BiometricDetails-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLeftLittle</h4>
<pre>public&nbsp;void&nbsp;setLeftLittle(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;leftLittle)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>leftLittle</code> - the leftLittle to set</dd>
</dl>
</li>
</ul>
<a name="getRightIndex--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRightIndex</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;getRightIndex()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the rightIndex</dd>
</dl>
</li>
</ul>
<a name="setRightIndex-io.mosip.registration.dto.json.metadata.BiometricDetails-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRightIndex</h4>
<pre>public&nbsp;void&nbsp;setRightIndex(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;rightIndex)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rightIndex</code> - the rightIndex to set</dd>
</dl>
</li>
</ul>
<a name="getRightMiddle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRightMiddle</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;getRightMiddle()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the rightMiddle</dd>
</dl>
</li>
</ul>
<a name="setRightMiddle-io.mosip.registration.dto.json.metadata.BiometricDetails-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRightMiddle</h4>
<pre>public&nbsp;void&nbsp;setRightMiddle(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;rightMiddle)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rightMiddle</code> - the rightMiddle to set</dd>
</dl>
</li>
</ul>
<a name="getRightRing--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRightRing</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;getRightRing()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the rightRing</dd>
</dl>
</li>
</ul>
<a name="setRightRing-io.mosip.registration.dto.json.metadata.BiometricDetails-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRightRing</h4>
<pre>public&nbsp;void&nbsp;setRightRing(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;rightRing)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rightRing</code> - the rightRing to set</dd>
</dl>
</li>
</ul>
<a name="getRightLittle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRightLittle</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;getRightLittle()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the rightLittle</dd>
</dl>
</li>
</ul>
<a name="setRightLittle-io.mosip.registration.dto.json.metadata.BiometricDetails-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setRightLittle</h4>
<pre>public&nbsp;void&nbsp;setRightLittle(<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricDetails.html" title="class in io.mosip.registration.dto.json.metadata">BiometricDetails</a>&nbsp;rightLittle)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rightLittle</code> - the rightLittle to set</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Applicant.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../io/mosip/registration/dto/json/metadata/Audit.html" title="class in io.mosip.registration.dto.json.metadata"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/dto/json/metadata/Applicant.html" target="_top">Frames</a></li>
<li><a href="Applicant.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
